#
# Conditional build:
%bcond_without	qtwebengine	# build with Qt5Webengine support

%ifarch x32
%undefine	with_qtwebengine
%endif

%define		kdeplasmaver	5.22.5
%define		qtver		5.9.0
%define		kpname		kdeplasma-addons

Summary:	All kind of addons to improve your Plasma experience
Name:		kp5-%{kpname}
Version:	5.22.5
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/plasma/%{kdeplasmaver}/%{kpname}-%{version}.tar.xz
# Source0-md5:	f8e1e7f78e400d3e8c9066738c16e0c7
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
%{?with_qtwebengine:BuildRequires:	Qt5WebEngine-devel}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	glib2-devel
BuildRequires:	ibus-devel
BuildRequires:	kf5-kcmutils-devel
BuildRequires:	kf5-kconfig-devel
BuildRequires:	kf5-kconfigwidgets-devel
BuildRequires:	kf5-kcoreaddons-devel
BuildRequires:	kf5-kdeclarative-devel
BuildRequires:	kf5-kdelibs4support-devel
BuildRequires:	kf5-kdesignerplugin-devel
BuildRequires:	kf5-kholidays-devel
BuildRequires:	kf5-ki18n-devel
BuildRequires:	kf5-kinit-devel
BuildRequires:	kf5-kio-devel
BuildRequires:	kf5-knewstuff-devel
BuildRequires:	kf5-knotifications-devel
BuildRequires:	kf5-kparts-devel
BuildRequires:	kf5-kross-devel
BuildRequires:	kf5-kross-devel
BuildRequires:	kf5-krunner-devel
BuildRequires:	kf5-kservice-devel
BuildRequires:	kf5-kunitconversion-devel
BuildRequires:	kf5-plasma-framework-devel
BuildRequires:	libxcb-devel
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	scim-devel
BuildRequires:	xcb-util-keysyms-devel
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
All kind of addons to improve your Plasma experience.

%package devel
Summary:	Header files for %{kpname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kpname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kpname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kpname}.

%prep
%setup -q -n %{kpname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	../
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kpname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kpname}.lang
%defattr(644,root,root,755)
%{_datadir}/knsrcfiles/comic.knsrc
%ghost %{_libdir}/libplasmacomicprovidercore.so.1
%attr(755,root,root) %{_libdir}/libplasmacomicprovidercore.so.*.*.*
%attr(755,root,root) %{_libdir}/qt5/plugins/kcm_krunner_dictionary.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kcm_krunner_spellcheck.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kpackage/packagestructure/plasma_packagestructure_comic.so
%attr(755,root,root) %{_libdir}/qt5/plugins/plasma/applets/plasma_applet_comic.so
%attr(755,root,root) %{_libdir}/qt5/plugins/plasma/dataengine/plasma_engine_comic.so
%attr(755,root,root) %{_libdir}/qt5/plugins/plasma/dataengine/plasma_engine_konsoleprofiles.so
%attr(755,root,root) %{_libdir}/qt5/plugins/plasma_comic_krossprovider.so
%dir %{_libdir}/qt5/qml/org/kde/plasma/private/colorpicker
%attr(755,root,root) %{_libdir}/qt5/qml/org/kde/plasma/private/colorpicker/libcolorpickerplugin.so
%{_libdir}/qt5/qml/org/kde/plasma/private/colorpicker/qmldir
%dir %{_libdir}/qt5/qml/org/kde/plasma/private/diskquota
%attr(755,root,root) %{_libdir}/qt5/qml/org/kde/plasma/private/diskquota/libdiskquotaplugin.so
%{_libdir}/qt5/qml/org/kde/plasma/private/diskquota/qmldir
%dir %{_libdir}/qt5/qml/org/kde/plasma/private/quicklaunch
%attr(755,root,root) %{_libdir}/qt5/qml/org/kde/plasma/private/quicklaunch/libquicklaunchplugin.so
%{_libdir}/qt5/qml/org/kde/plasma/private/quicklaunch/qmldir

%dir %{_libdir}/qt5/qml/org/kde/plasma/private/fifteenpuzzle
%attr(755,root,root) %{_libdir}/qt5/qml/org/kde/plasma/private/fifteenpuzzle/libfifteenpuzzleplugin.so
%{_libdir}/qt5/qml/org/kde/plasma/private/fifteenpuzzle/qmldir
%dir %{_libdir}/qt5/qml/org/kde/plasma/private/notes
%attr(755,root,root) %{_libdir}/qt5/qml/org/kde/plasma/private/notes/libnotesplugin.so
%{_libdir}/qt5/qml/org/kde/plasma/private/notes/qmldir
%dir %{_libdir}/qt5/qml/org/kde/plasma/private/timer
%attr(755,root,root) %{_libdir}/qt5/qml/org/kde/plasma/private/timer/libtimerplugin.so
%{_libdir}/qt5/qml/org/kde/plasma/private/timer/qmldir
%{_iconsdir}/hicolor/scalable/apps/fifteenpuzzle.svgz
%dir %{_datadir}/kservices5/kwin
%{_datadir}/kservices5/kwin/kwin4_desktop_switcher_previews.desktop
%{_datadir}/kservices5/kwin/kwin4_window_switcher_big_icons.desktop
%{_datadir}/kservices5/kwin/kwin4_window_switcher_compact.desktop
%{_datadir}/kservices5/kwin/kwin4_window_switcher_informative.desktop
%{_datadir}/kservices5/kwin/kwin4_window_switcher_present_windows.desktop
%{_datadir}/kservices5/kwin/kwin4_window_switcher_small_icons.desktop
%{_datadir}/kservices5/kwin/kwin4_window_switcher_text.desktop
%{_datadir}/kservices5/kwin/kwin4_window_switcher_thumbnails.desktop
%{_datadir}/kservices5/plasma-dataengine-comic.desktop
%{_datadir}/kservices5/plasma-dataengine-konsoleprofiles.desktop
%{_datadir}/kservices5/plasma-runner-dictionary_config.desktop
%{_datadir}/kservices5/plasma-runner-spellchecker_config.desktop
%{_datadir}/kservicetypes5/plasma_comicprovider.desktop
%dir %{_datadir}/kwin
%{_datadir}/kwin/desktoptabbox
%{_datadir}/kwin/tabbox
%{_datadir}/plasma/desktoptheme/default/widgets/timer.svgz
%{_datadir}/plasma/plasmoids/org.kde.plasma.calculator
%{_datadir}/plasma/plasmoids/org.kde.plasma.comic
%{_datadir}/plasma/plasmoids/org.kde.plasma.fifteenpuzzle
%{_datadir}/plasma/plasmoids/org.kde.plasma.fuzzyclock
%{_datadir}/plasma/plasmoids/org.kde.plasma.kickerdash
%{_datadir}/plasma/plasmoids/org.kde.plasma.konsoleprofiles
%{_datadir}/plasma/plasmoids/org.kde.plasma.notes
%{_datadir}/plasma/plasmoids/org.kde.plasma.timer
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.colorpicker
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.colorpicker/contents
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.colorpicker/contents/config
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.colorpicker/contents/ui
%{_datadir}/plasma/plasmoids/org.kde.plasma.colorpicker/contents/config/config.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.colorpicker/contents/config/main.xml
%{_datadir}/plasma/plasmoids/org.kde.plasma.colorpicker/contents/ui/configGeneral.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.colorpicker/contents/ui/main.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.colorpicker/metadata.desktop
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.diskquota
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.diskquota/contents
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.diskquota/contents/ui
%{_datadir}/plasma/plasmoids/org.kde.plasma.diskquota/contents/ui/ListDelegateItem.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.diskquota/contents/ui/main.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.diskquota/metadata.desktop
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.quicklaunch
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.quicklaunch/contents
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.quicklaunch/contents/config
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.quicklaunch/contents/ui
%{_datadir}/plasma/plasmoids/org.kde.plasma.quicklaunch/contents/config/config.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.quicklaunch/contents/config/main.xml
%{_datadir}/plasma/plasmoids/org.kde.plasma.quicklaunch/contents/ui/ConfigGeneral.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.quicklaunch/contents/ui/IconItem.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.quicklaunch/contents/ui/Popup.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.quicklaunch/contents/ui/UrlModel.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.quicklaunch/contents/ui/main.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.quicklaunch/metadata.desktop
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.userswitcher
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.userswitcher/contents
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.userswitcher/contents/config
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.userswitcher/contents/ui
%{_datadir}/plasma/plasmoids/org.kde.plasma.userswitcher/contents/config/config.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.userswitcher/contents/config/main.xml
%{_datadir}/plasma/plasmoids/org.kde.plasma.userswitcher/contents/ui/ListDelegate.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.userswitcher/contents/ui/configGeneral.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.userswitcher/contents/ui/main.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.userswitcher/metadata.desktop
%{_datadir}/plasma/services/org.kde.plasma.dataengine.konsoleprofiles.operations
%{_datadir}/plasma/wallpapers/org.kde.haenau
%{_datadir}/plasma/wallpapers/org.kde.hunyango

%{_libdir}/libplasmapotdprovidercore.so
%ghost %{_libdir}/libplasmapotdprovidercore.so.1
%{_libdir}/libplasmapotdprovidercore.so.1.*.*
%{_libdir}/qt5/plugins/plasma/applets/org.kde.plasma.grouping.so
%{_libdir}/qt5/plugins/plasma/applets/org.kde.plasma.private.grouping.so
%{_libdir}/qt5/plugins/plasma/applets/plasma_applet_weather.so
%{_libdir}/qt5/plugins/plasma/dataengine/plasma_engine_potd.so
%dir %{_libdir}/qt5/plugins/potd
%{_libdir}/qt5/plugins/potd/plasma_potd_apodprovider.so
%{_libdir}/qt5/plugins/potd/plasma_potd_bingprovider.so
%{_libdir}/qt5/plugins/potd/plasma_potd_epodprovider.so
%{_libdir}/qt5/plugins/potd/plasma_potd_flickrprovider.so
%{_libdir}/qt5/plugins/potd/plasma_potd_natgeoprovider.so
%{_libdir}/qt5/plugins/potd/plasma_potd_noaaprovider.so
%{_libdir}/qt5/plugins/potd/plasma_potd_unsplashprovider.so
%{_libdir}/qt5/plugins/potd/plasma_potd_wcpotdprovider.so
%dir %{_libdir}/qt5/qml/org/kde/plasma/private/mediaframe
%{_libdir}/qt5/qml/org/kde/plasma/private/mediaframe/libmediaframeplugin.so
%{_libdir}/qt5/qml/org/kde/plasma/private/mediaframe/qmldir
%dir %{_libdir}/qt5/qml/org/kde/plasma/private/purpose
%{_libdir}/qt5/qml/org/kde/plasma/private/purpose/libpurposeplugin.so
%{_libdir}/qt5/qml/org/kde/plasma/private/purpose/qmldir
%dir %{_libdir}/qt5/qml/org/kde/plasma/private/weather
%{_libdir}/qt5/qml/org/kde/plasma/private/weather/libweatherplugin.so
%{_libdir}/qt5/qml/org/kde/plasma/private/weather/qmldir
%{_datadir}/kservices5/plasma-dataengine-potd.desktop
%{_datadir}/metainfo/org.kde.haenau.appdata.xml
%{_datadir}/metainfo/org.kde.hunyango.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.activitypager.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.binaryclock.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.calculator.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.colorpicker.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.comic.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.diskquota.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.fifteenpuzzle.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.fuzzyclock.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.grouping.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.kickerdash.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.konsoleprofiles.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.mediaframe.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.notes.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.quicklaunch.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.quickshare.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.timer.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.userswitcher.appdata.xml
%{_datadir}/metainfo/org.kde.plasma.weather.appdata.xml
%{_datadir}/metainfo/org.kde.potd.appdata.xml
%dir %{_datadir}/plasma/desktoptheme/default/weather
%{_datadir}/plasma/desktoptheme/default/weather/wind-arrows.svgz
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.activitypager
%{_datadir}/plasma/plasmoids/org.kde.plasma.activitypager/metadata.desktop
%{_datadir}/plasma/plasmoids/org.kde.plasma.activitypager/metadata.json
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.binaryclock
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.binaryclock/contents
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.binaryclock/contents/config
%{_datadir}/plasma/plasmoids/org.kde.plasma.binaryclock/contents/config/config.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.binaryclock/contents/config/main.xml
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.binaryclock/contents/ui
%{_datadir}/plasma/plasmoids/org.kde.plasma.binaryclock/contents/ui/BinaryClock.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.binaryclock/contents/ui/Dot.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.binaryclock/contents/ui/DotColumn.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.binaryclock/contents/ui/configGeneral.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.binaryclock/contents/ui/main.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.binaryclock/metadata.desktop
%{_datadir}/plasma/plasmoids/org.kde.plasma.binaryclock/metadata.json

%{_datadir}/plasma/plasmoids/org.kde.plasma.colorpicker/metadata.json

%{_datadir}/plasma/plasmoids/org.kde.plasma.diskquota/metadata.json
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.grouping
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.grouping/contents
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.grouping/contents/ui
%{_datadir}/plasma/plasmoids/org.kde.plasma.grouping/contents/ui/main.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.grouping/metadata.desktop
%{_datadir}/plasma/plasmoids/org.kde.plasma.grouping/metadata.json
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.mediaframe
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.mediaframe/contents
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.mediaframe/contents/config
%{_datadir}/plasma/plasmoids/org.kde.plasma.mediaframe/contents/config/config.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.mediaframe/contents/config/main.xml
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.mediaframe/contents/ui
%{_datadir}/plasma/plasmoids/org.kde.plasma.mediaframe/contents/ui/ConfigGeneral.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.mediaframe/contents/ui/ConfigPaths.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.mediaframe/contents/ui/main.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.mediaframe/metadata.desktop
%{_datadir}/plasma/plasmoids/org.kde.plasma.mediaframe/metadata.json
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.private.grouping
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.private.grouping/contents
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.private.grouping/contents/applet
%{_datadir}/plasma/plasmoids/org.kde.plasma.private.grouping/contents/applet/CompactApplet.qml
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.private.grouping/contents/config
%{_datadir}/plasma/plasmoids/org.kde.plasma.private.grouping/contents/config/config.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.private.grouping/contents/config/main.xml
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.private.grouping/contents/ui
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.private.grouping/contents/ui/items
%{_datadir}/plasma/plasmoids/org.kde.plasma.private.grouping/contents/ui/items/AbstractItem.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.private.grouping/contents/ui/items/PlasmoidItem.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.private.grouping/contents/ui/main.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.private.grouping/metadata.desktop
%{_datadir}/plasma/plasmoids/org.kde.plasma.private.grouping/metadata.json

%{_datadir}/plasma/plasmoids/org.kde.plasma.quicklaunch/metadata.json
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.quickshare
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.quickshare/contents
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.quickshare/contents/config
%{_datadir}/plasma/plasmoids/org.kde.plasma.quickshare/contents/config/config.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.quickshare/contents/config/main.xml
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.quickshare/contents/ui
%{_datadir}/plasma/plasmoids/org.kde.plasma.quickshare/contents/ui/PasteMenuItem.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.quickshare/contents/ui/ShareDialog.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.quickshare/contents/ui/ShowUrlDialog.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.quickshare/contents/ui/main.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.quickshare/contents/ui/settingsGeneral.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.quickshare/metadata.desktop
%{_datadir}/plasma/plasmoids/org.kde.plasma.quickshare/metadata.json

%{_datadir}/plasma/plasmoids/org.kde.plasma.userswitcher/metadata.json
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.weather
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.weather/contents
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.weather/contents/config
%{_datadir}/plasma/plasmoids/org.kde.plasma.weather/contents/config/config.qml
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.weather/contents/ui
%{_datadir}/plasma/plasmoids/org.kde.plasma.weather/contents/ui/DetailsView.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.weather/contents/ui/NoticesView.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.weather/contents/ui/TopPanel.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.weather/contents/ui/main.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.weather/metadata.desktop
%{_datadir}/plasma/plasmoids/org.kde.plasma.weather/metadata.json
%dir %{_datadir}/plasma/wallpapers/org.kde.potd
%dir %{_datadir}/plasma/wallpapers/org.kde.potd/contents
%dir %{_datadir}/plasma/wallpapers/org.kde.potd/contents/config
%{_datadir}/plasma/wallpapers/org.kde.potd/contents/config/main.xml
%dir %{_datadir}/plasma/wallpapers/org.kde.potd/contents/ui
%{_datadir}/plasma/wallpapers/org.kde.potd/contents/ui/config.qml
%{_datadir}/plasma/wallpapers/org.kde.potd/contents/ui/main.qml
%{_datadir}/plasma/wallpapers/org.kde.potd/metadata.desktop
%{_datadir}/plasma/wallpapers/org.kde.potd/metadata.json

%{_libdir}/qt5/plugins/kcm_krunner_charrunner.so
%{_libdir}/qt5/plugins/plasmacalendarplugins/astronomicalevents.so
%dir %{_libdir}/qt5/plugins/plasmacalendarplugins/astronomicalevents
%{_libdir}/qt5/plugins/plasmacalendarplugins/astronomicalevents/AstronomicalEventsConfig.qml
%dir %{_libdir}/qt5/qml/org/kde/plasmacalendar
%dir %{_libdir}/qt5/qml/org/kde/plasmacalendar/astronomicaleventsconfig
%{_libdir}/qt5/qml/org/kde/plasmacalendar/astronomicaleventsconfig/libplasmacalendarastronomicaleventsconfig.so
%{_libdir}/qt5/qml/org/kde/plasmacalendar/astronomicaleventsconfig/qmldir
%{_datadir}/kdevappwizard/templates/plasmapotdprovider.tar.bz2
%{_datadir}/kservices5/plasma-runner-character_config.desktop
%{_datadir}/metainfo/org.kde.plasma.keyboardindicator.appdata.xml
%{_datadir}/plasma/plasmoids/org.kde.plasma.colorpicker/contents/ui/logic.js
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.keyboardindicator
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.keyboardindicator/contents
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.keyboardindicator/contents/config
%{_datadir}/plasma/plasmoids/org.kde.plasma.keyboardindicator/contents/config/config.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.keyboardindicator/contents/config/main.xml
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.keyboardindicator/contents/ui
%{_datadir}/plasma/plasmoids/org.kde.plasma.keyboardindicator/contents/ui/configAppearance.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.keyboardindicator/contents/ui/main.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.keyboardindicator/metadata.desktop
%{_datadir}/plasma/plasmoids/org.kde.plasma.keyboardindicator/metadata.json
%{_datadir}/plasma/plasmoids/org.kde.plasma.quicklaunch/contents/ui/layout.js
%{_datadir}/plasma/plasmoids/org.kde.plasma.weather/contents/ui/CompactRepresentation.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.weather/contents/ui/ForecastView.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.weather/contents/ui/FullRepresentation.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.weather/contents/ui/IconAndTextItem.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.weather/contents/ui/SwitchPanel.qml
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.weather/contents/ui/config
%{_datadir}/plasma/plasmoids/org.kde.plasma.weather/contents/ui/config/ConfigAppearance.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.weather/contents/ui/config/ConfigUnits.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.weather/contents/ui/config/ConfigWeatherStation.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.weather/contents/ui/config/WeatherStationPicker.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.weather/contents/ui/config/WeatherStationPickerDialog.qml

%dir %{_libdir}/qt5/plugins/kf5/krunner
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/krunner/krunner_charrunner.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/krunner/krunner_datetime.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/krunner/krunner_dictionary.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/krunner/krunner_katesessions.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/krunner/krunner_konsoleprofiles.so
%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/krunner/krunner_spellcheck.so
%dir %{_libdir}/qt5/qml/org/kde/plasma/private/nightcolorcontrol
%attr(755,root,root) %{_libdir}/qt5/qml/org/kde/plasma/private/nightcolorcontrol/libnightcolorcontrolplugin.so
%{_libdir}/qt5/qml/org/kde/plasma/private/nightcolorcontrol/qmldir
%{_datadir}/kservices5/kwin/kwin4_window_switcher_thumbnail_grid.desktop
%{_datadir}/metainfo/org.kde.plasma.nightcolorcontrol.appdata.xml
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.nightcolorcontrol
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.nightcolorcontrol/contents
%dir %{_datadir}/plasma/plasmoids/org.kde.plasma.nightcolorcontrol/contents/ui
%{_datadir}/plasma/plasmoids/org.kde.plasma.nightcolorcontrol/contents/ui/main.qml
%{_datadir}/plasma/plasmoids/org.kde.plasma.nightcolorcontrol/metadata.desktop
%{_datadir}/plasma/plasmoids/org.kde.plasma.nightcolorcontrol/metadata.json

%attr(755,root,root) %{_libdir}/qt5/plugins/kf5/krunner/unitconverter.so

%if %{with qtwebengine}
%endif

%files devel
%defattr(644,root,root,755)
%{_includedir}/plasma/potdprovider
%{_libdir}/cmake/PlasmaPotdProvider
%changelog
* Wed Sep 08 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kp5-kdeplasma-addons.git;a=log;h=master

* Fri Sep 03 2021 Witold Filipczyk <witekfl@poczta.onet.pl> b1c89e7
- updated to 5.22.5

* Tue Jul 27 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 93d0731
- updated to 5.22.4

* Wed Jul 07 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 9c9ce6b
- updated to 5.22.3

* Wed Jun 23 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 44f9d7f
- updated to 5.22.2.1

* Wed Jun 16 2021 Witold Filipczyk <witekfl@poczta.onet.pl> d08f1e0
- updated to 5.22.1

* Wed Jun 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 88417b9
- updated to 5.22.0

* Wed May 05 2021 Witold Filipczyk <witekfl@poczta.onet.pl> e8b7025
- updated to 5.21.5

* Fri Apr 09 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 30e1b9d
- updated to 5.21.4

* Tue Mar 23 2021 Witold Filipczyk <witekfl@poczta.onet.pl> cc80ab1
- update to 5.21.3

* Sun Mar 07 2021 Witold Filipczyk <witekfl@poczta.onet.pl> e5c0e3e
- update to 5.21.2

* Sun May 26 2019 Jan Rękorajski <baggins@pld-linux.org> 884f5d6
- updated BRs
- added webengine bcond to allow building on x32
- rel 2

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 900b66f
- updated to 5.15.3

* Fri Jan 11 2019 Witold Filipczyk <witekfl@poczta.onet.pl> ef1da7d
- updated to 5.14.5

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 5bfb4d8
- updated to 5.14.4

* Sun Oct 29 2017 Witold Filipczyk <witekfl@poczta.onet.pl> c552dd3
- updated to 5.11.2

* Mon Apr 18 2016 Jan Rękorajski <baggins@pld-linux.org> f5b1a45
- fix files
- rel 3

* Mon Mar 14 2016 Jan Rękorajski <baggins@pld-linux.org> 37289ac
- release 2 (by relup.sh)

* Sun Feb 28 2016 Witold Filipczyk <witekfl@poczta.onet.pl> c60da66
- updated to 5.5.4

* Sat Oct 03 2015 Jan Rękorajski <baggins@pld-linux.org> 5671135
- release 3 (by relup.sh)

* Sat Oct 03 2015 Jan Rękorajski <baggins@pld-linux.org> ee413ec
- more BR updates

